scary router vulnerabilities

It seems like consumer-level routers get hacked at an alarming rate. There was a lot of buzz today about a new Netgear vulnerability. I have a Netgear router, but not one of the models that’s affected by this particular problem. I bought mine back in 2010, and it’s been working fine. The firmware for it hasn’t been updated in a few years though. As far as I know, there are no unpatched vulnerabilities for it, but I’m not really confident about that.

I should probably install DD-WRT on it. I had DD-WRT on my last router, and it worked well. I’ve thought about installing it on the Netgear, but haven’t gotten around to it. Maybe that’s a project for this weekend, since it looks like it’ll be cold and snowy out.

Leave a Reply